import service from '@/utils/request'

export const getArticalList = (data) => {
    return service({
        url: "/api/artical/getArticalList",
        method: 'post',
        data
    })
}

export const downloadFile = (articalId) => {
    return service({
        url: `/api/artical/downloadFile/${articalId}`,
        method: 'get'
    })
}

export const getHotArticalList = (data) => {
    return service({
        url: "/api/base/getHotArticalList",
        method: 'post',
        data
    })
}

export const getApplyArticalList = (data) => {
    return service({
        url: "/api/artical/getApplyArticalList",
        method: 'post',
        data
    })
}

export const getReplyArticalList = (data) => {
    return service({
        url: "/api/artical/getReplyArticalList",
        method: 'post',
        data
    })
}

export const getMyArticalList = (data) => {
    return service({
        url: "/api/artical/getMyArticalList",
        method: 'post',
        data
    })
}

export const getViewArticalList = (data) => {
    return service({
        url: "/api/artical/getViewArticalList",
        method: 'post',
        data
    })
}

export const getDownloadArticalList = (data) => {
    return service({
        url: "/api/artical/getDownloadArticalList",
        method: 'post',
        data
    })
}

export const addArtical = (data) => {
    return service({
        url: "/api/artical/addArtical",
        method: 'post',
        data
    })
}

export const getArticalInfo = (data) => {
    return service({
        url: "/api/artical/getArticalInfo",
        method: 'post',
        data
    })
}


export const likeArtical = (data) => {
    return service({
        url: "/api/artical/likeArtical",
        method: 'post',
        data
    })
}

export const unLikeArtical = (data) => {
    return service({
        url: "/api/artical/unLikeArtical",
        method: 'post',
        data
    })
}

export const getArticalLikeList = (data) => {
    return service({
        url: "/api/artical/getArticalLikeList",
        method: 'post',
        data
    })
}


export const downloadArtical = (data) => {
    return service({
        url: "/api/artical/downloadArtical",
        method: 'post',
        data
    })
}


export const applyArtical = (data) => {
    return service({
        url: "/api/artical/applyArtical",
        method: 'post',
        data
    })
}

export const replyArtical = (data) => {
    return service({
        url: "/api/artical/replyArtical",
        method: 'post',
        data
    })
}
